<?php
/*
 *******************************************
 plugin JUpload for Coppermine Photo Gallery
 *******************************************

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.
 ********************************************
 $Revision: 185 $
 $Author: etienne_sf $
 $Date: 2008-03-12 20:26:16 +0100 (mer., 12 mars 2008) $
 ********************************************
 *
 * Allows easy upload to the gallery, through a java applet. 
 * 
 * Up to date version of this script can be retrieved with the full JUpload package, here:
 * 
 * http://etienne.sf.free.fr/wiki
 * 
 * Directly here:
 * http://forum.coppermine-gallery.net/index.php/board,100.0.html
 * 
 * Support is available on this forum:
 * http://coppermine-gallery.net/forum/index.php?topic=43432
 * 
 * The applet is published on sourceforge:
 * http://jupload.sourceforge.net
 * 
 */

/********************************************************************************************************************************
 * This file contains the necessary code to manage session. To begin with, it's mainly the cookies management, for bridge mode.
 ********************************************************************************************************************************/
 
define('JUPLOAD_DEFAULT_COOKIE_LIST', '');
 
 
  /**
  * This function is defined specifically for 1.4 and 1.5 versions. It returns the cookie parameter, or an empty string of this
  * parameter should not be sent to the applet.
  * In Coppermine 1.5, the plugin doesn't have access to the plugins. It uses the list of cookies names, provided into the cookieList
  * configuration parameter, added to the default list of cookies, as defined in the We send to the applet all available cookies.
  */
 
 function getCookiesHeader() {
 	global $CONFIG, $JUPLOAD_CONFIG;
 	$superCage = Inspekt::makeSuperCage();

 	$cookies = '';
 	$separator = '';  //No separator for the first cookie.
 	
 	// First, we get the cookie list.
 	$cookieList = $CONFIG['cookie_name'].'_albpw;' 
 			. $CONFIG['cookie_name'].'_data;'
 			. 'PHPSESSID;'
 			//TODO finish this list
 			. $JUPLOAD_CONFIG['cookieList']
 			;
 	
 	
 	//Then, we go through this list.
 	
 	$oneCookieName = strtok($cookieList,";");
	while ($oneCookieName) {
		if ($oneCookieName == '') {
			// No name: ignored.
		} else {
			//Let's get the cookie value, from the relevant cage.
			$oneCookieValue = $superCage->cookie->getRaw($oneCookieName);
			//Default behavior, we transmit the cookie value.
			$cookies .= "$separator$oneCookieName=$oneCookieValue"; 
			// For next cookies, we need a real separator.
			$separator = '; ';
		}
		$oneCookieName = strtok(";");
	}

//TODO: Manage the dynamic cookies


	//die("Cookie: $cookies");
 	return "Cookie: $cookies";
 }